<script>
	export default {
		props: {
			type: String,
			name: String,
			elem: Object
		},
		computed: {
			value() {
				return this.elem[this.name];
			}
		}
	}
</script>

<template>
	<input :type="type" :name="name" :value="value" @change="$parent.updateElem(elem, $event)" @keyup="$parent.queue(elem, $event)" />
</template>